<?php
$tdataderecho_propietario_chart = array();
$tdataderecho_propietario_chart[".searchableFields"] = array();
$tdataderecho_propietario_chart[".ShortName"] = "derecho_propietario_chart";
$tdataderecho_propietario_chart[".OwnerID"] = "";
$tdataderecho_propietario_chart[".OriginalTable"] = "derecho_propietario";


$tdataderecho_propietario_chart[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdataderecho_propietario_chart[".originalPagesByType"] = $tdataderecho_propietario_chart[".pagesByType"];
$tdataderecho_propietario_chart[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdataderecho_propietario_chart[".originalPages"] = $tdataderecho_propietario_chart[".pages"];
$tdataderecho_propietario_chart[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdataderecho_propietario_chart[".originalDefaultPages"] = $tdataderecho_propietario_chart[".defaultPages"];

//	field labels
$fieldLabelsderecho_propietario_chart = array();
$fieldToolTipsderecho_propietario_chart = array();
$pageTitlesderecho_propietario_chart = array();
$placeHoldersderecho_propietario_chart = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsderecho_propietario_chart["Spanish"] = array();
	$fieldToolTipsderecho_propietario_chart["Spanish"] = array();
	$placeHoldersderecho_propietario_chart["Spanish"] = array();
	$pageTitlesderecho_propietario_chart["Spanish"] = array();
	$fieldLabelsderecho_propietario_chart["Spanish"]["Nro_acciones"] = "Nro Acciones";
	$fieldToolTipsderecho_propietario_chart["Spanish"]["Nro_acciones"] = "";
	$placeHoldersderecho_propietario_chart["Spanish"]["Nro_acciones"] = "";
	if (count($fieldToolTipsderecho_propietario_chart["Spanish"]))
		$tdataderecho_propietario_chart[".isUseToolTips"] = true;
}


	$tdataderecho_propietario_chart[".NCSearch"] = true;

	$tdataderecho_propietario_chart[".ChartRefreshTime"] = 60;


$tdataderecho_propietario_chart[".shortTableName"] = "derecho_propietario_chart";
$tdataderecho_propietario_chart[".nSecOptions"] = 0;

$tdataderecho_propietario_chart[".mainTableOwnerID"] = "";
$tdataderecho_propietario_chart[".entityType"] = 3;
$tdataderecho_propietario_chart[".connId"] = "bsn_dividendos_at_localhost";


$tdataderecho_propietario_chart[".strOriginalTableName"] = "derecho_propietario";

	



$tdataderecho_propietario_chart[".showAddInPopup"] = false;

$tdataderecho_propietario_chart[".showEditInPopup"] = false;

$tdataderecho_propietario_chart[".showViewInPopup"] = false;

$tdataderecho_propietario_chart[".listAjax"] = false;
//	temporary
//$tdataderecho_propietario_chart[".listAjax"] = false;

	$tdataderecho_propietario_chart[".audit"] = false;

	$tdataderecho_propietario_chart[".locking"] = false;


$pages = $tdataderecho_propietario_chart[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataderecho_propietario_chart[".edit"] = true;
	$tdataderecho_propietario_chart[".afterEditAction"] = 1;
	$tdataderecho_propietario_chart[".closePopupAfterEdit"] = 1;
	$tdataderecho_propietario_chart[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataderecho_propietario_chart[".add"] = true;
$tdataderecho_propietario_chart[".afterAddAction"] = 1;
$tdataderecho_propietario_chart[".closePopupAfterAdd"] = 1;
$tdataderecho_propietario_chart[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataderecho_propietario_chart[".list"] = true;
}



$tdataderecho_propietario_chart[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataderecho_propietario_chart[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataderecho_propietario_chart[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataderecho_propietario_chart[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataderecho_propietario_chart[".printFriendly"] = true;
}



$tdataderecho_propietario_chart[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataderecho_propietario_chart[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataderecho_propietario_chart[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataderecho_propietario_chart[".isUseAjaxSuggest"] = true;



																														

$tdataderecho_propietario_chart[".ajaxCodeSnippetAdded"] = false;

$tdataderecho_propietario_chart[".buttonsAdded"] = false;

$tdataderecho_propietario_chart[".addPageEvents"] = false;

// use timepicker for search panel
$tdataderecho_propietario_chart[".isUseTimeForSearch"] = false;


$tdataderecho_propietario_chart[".badgeColor"] = "CD853F";


$tdataderecho_propietario_chart[".allSearchFields"] = array();
$tdataderecho_propietario_chart[".filterFields"] = array();
$tdataderecho_propietario_chart[".requiredSearchFields"] = array();

$tdataderecho_propietario_chart[".googleLikeFields"] = array();
$tdataderecho_propietario_chart[".googleLikeFields"][] = "Nro_acciones";



$tdataderecho_propietario_chart[".tableType"] = "chart";

$tdataderecho_propietario_chart[".printerPageOrientation"] = 0;
$tdataderecho_propietario_chart[".nPrinterPageScale"] = 100;

$tdataderecho_propietario_chart[".nPrinterSplitRecords"] = 40;

$tdataderecho_propietario_chart[".geocodingEnabled"] = false;



// chart settings
$tdataderecho_propietario_chart[".chartType"] = "2DPie";
// end of chart settings








$tstrOrderBy = "";
$tdataderecho_propietario_chart[".strOrderBy"] = $tstrOrderBy;

$tdataderecho_propietario_chart[".orderindexes"] = array();


$tdataderecho_propietario_chart[".sqlHead"] = "	  	SELECT sum( nro_Acciones ) AS Nro_acciones";
$tdataderecho_propietario_chart[".sqlFrom"] = "FROM  	derecho_propietario";
$tdataderecho_propietario_chart[".sqlWhereExpr"] = "";
$tdataderecho_propietario_chart[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataderecho_propietario_chart[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataderecho_propietario_chart[".arrGroupsPerPage"] = $arrGPP;

$tdataderecho_propietario_chart[".highlightSearchResults"] = true;

$tableKeysderecho_propietario_chart = array();
$tdataderecho_propietario_chart[".Keys"] = $tableKeysderecho_propietario_chart;


$tdataderecho_propietario_chart[".hideMobileList"] = array();




//	Nro_acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Nro_acciones";
	$fdata["GoodName"] = "Nro_acciones";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("derecho_propietario_Chart","Nro_acciones");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_Acciones";

		$fdata["sourceSingle"] = "nro_Acciones";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sum( nro_Acciones )";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderecho_propietario_chart["Nro_acciones"] = $fdata;
		$tdataderecho_propietario_chart[".searchableFields"][] = "Nro_acciones";

$tdataderecho_propietario_chart[".chartLabelField"] = "nro_Acciones_Literal";
$tdataderecho_propietario_chart[".chartSeries"] = array();
$tdataderecho_propietario_chart[".chartSeries"][] = array(
	"field" => "Nro_acciones",
	"total" => ""
);
	$tdataderecho_propietario_chart[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">derecho_propietario Chart</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_pie</attr>
		</attr>

		<attr value="parameters">';
	$tdataderecho_propietario_chart[".chartXml"] .= '<attr value="0">
			<attr value="name">Nro_acciones</attr>';
	$tdataderecho_propietario_chart[".chartXml"] .= '</attr>';
	$tdataderecho_propietario_chart[".chartXml"] .= '<attr value="1">
		<attr value="name">nro_Acciones_Literal</attr>
	</attr>';
	$tdataderecho_propietario_chart[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdataderecho_propietario_chart[".chartXml"] .= '<attr value="head">'.xmlencode("derecho_propietario Chart").'</attr>
<attr value="foot">'.xmlencode("Legend Title").'</attr>
<attr value="y_axis_label">'.xmlencode("gestion").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">false</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">false</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">1</attr>
<attr value="autoupmin">60</attr>';
$tdataderecho_propietario_chart[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdataderecho_propietario_chart[".chartXml"] .= '<attr value="0">
		<attr value="name">Nro_acciones</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("derecho_propietario_Chart","Nro_acciones")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdataderecho_propietario_chart[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">derecho_propietario Chart</attr>
<attr value="short_table_name">derecho_propietario_chart</attr>
</attr>

</chart>';

$tables_data["derecho_propietario Chart"]=&$tdataderecho_propietario_chart;
$field_labels["derecho_propietario_Chart"] = &$fieldLabelsderecho_propietario_chart;
$fieldToolTips["derecho_propietario_Chart"] = &$fieldToolTipsderecho_propietario_chart;
$placeHolders["derecho_propietario_Chart"] = &$placeHoldersderecho_propietario_chart;
$page_titles["derecho_propietario_Chart"] = &$pageTitlesderecho_propietario_chart;


changeTextControlsToDate( "derecho_propietario Chart" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["derecho_propietario Chart"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["derecho_propietario Chart"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_derecho_propietario_chart()
{
$proto0=array();
$proto0["m_strHead"] = "	  	SELECT";
$proto0["m_strFieldList"] = "sum( nro_Acciones ) AS Nro_acciones";
$proto0["m_strFrom"] = "FROM  	derecho_propietario";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$proto7=array();
$proto7["m_functiontype"] = "SQLF_SUM";
$proto7["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "nro_Acciones",
	"m_strTable" => "derecho_propietario",
	"m_srcTableName" => "derecho_propietario Chart"
));

$proto7["m_arguments"][]=$obj;
$proto7["m_strFunctionName"] = "sum";
$obj = new SQLFunctionCall($proto7);

$proto6["m_sql"] = "sum( nro_Acciones )";
$proto6["m_srcTableName"] = "derecho_propietario Chart";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "Nro_acciones";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "derecho_propietario";
$proto10["m_srcTableName"] = "derecho_propietario Chart";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "accionista";
$proto10["m_columns"][] = "clase_Acciones";
$proto10["m_columns"][] = "estado_Pago";
$proto10["m_columns"][] = "estado_titulo";
$proto10["m_columns"][] = "fecha_Emision";
$proto10["m_columns"][] = "fecha_Inscripcion";
$proto10["m_columns"][] = "gestion";
$proto10["m_columns"][] = "gravamen";
$proto10["m_columns"][] = "id_derecho_Propietario";
$proto10["m_columns"][] = "nro_Acciones";
$proto10["m_columns"][] = "nro_Acciones_Literal";
$proto10["m_columns"][] = "nro_Folio";
$proto10["m_columns"][] = "nro_Partido";
$proto10["m_columns"][] = "nro_Titulo";
$proto10["m_columns"][] = "saldo_Acciones";
$proto10["m_columns"][] = "saldo_Acciones_A";
$proto10["m_columns"][] = "serie_Acciones";
$proto10["m_columns"][] = "tipo_Acciones";
$proto10["m_columns"][] = "total_bs";
$proto10["m_columns"][] = "total_bs_literal";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_sql"] = "derecho_propietario";
$proto9["m_alias"] = "";
$proto9["m_srcTableName"] = "derecho_propietario Chart";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = false;
$proto11["m_inBrackets"] = false;
$proto11["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="derecho_propietario Chart";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_derecho_propietario_chart = createSqlQuery_derecho_propietario_chart();


	
		;

	

$tdataderecho_propietario_chart[".sqlquery"] = $queryData_derecho_propietario_chart;



$tdataderecho_propietario_chart[".hasEvents"] = false;

?>